Subject: Re: [PATCH v7 net-next 2/5] cache: enforce cache groups

From: Jakub Kicinski <[email-masked]>
Date: Tue, 14 Nov 2023 23:32:17 -0500

On Mon, 13 Nov 2023 23:32:58 +0000 Coco Li wrote:
> Set up build time warnings to safeguard against future header changes of
> organized structs.
> 
> Warning includes:
> 
> 1) whether all variables are still in the same cache group
> 2) whether all the cache groups have the sum of the members size (in the
>    maximum condition, including all members defined in configs)

Could you extend scripts/kernel-doc to ignore the new macros?
It's fairly simple script, should hopefully be very easy.
Otherwise using the macros will cause warning spew with W=1.